### File bot
A bot which allows you to easily share files with friends and family using [Tox](https://tox.chat/)

Originally Based on [toxygen](https://github.com/toxygen-project/toxygen/) toxcore wrapper


# Commands:
```
help - list of commands

rights - get access rights

files - show list of files (get access)

id - get bot's id (get access)

share <ToxID> <file_name> - send file to friend (get access)

share --all <file_name> - send file to all friends (get access)

size <file_name> - get size of file (get access)

get <file_name> - get file with specified filename (get access)

get --all - get all files (get access)

stats - show statistics (write access)

del <file_name> - remove file with specified filename (delete access)

rename <file_name> --new <new_file_name> - rename file (delete access)

user <ToxID> <rights> - new rights (example: rwdm) for user (masters only)

status <new_status> - new status message (masters only)

name <new_name> - new name (masters only)

message <ToxID> <message_text> - send message to friend (masters only)

message --all <message_text> - send message to all friends (masters only)

stop - stop bot (masters only)

fsize <size_in_MB> - sets size of shared folder (masters only)
```


Users with write access can send files to bot.

Users with delete access can delete and rename files.

Example of settings is [here](/settings.json)

## Hard Fork

https://git.macaw.me/emdee/filebot

* Ported to Python 3.9
* Changed to use https://git.macaw.me/emdee/toxygen_wrapper

Work on this project is suspended until the MultiDevice problem is solved.
